Subject: Re: How to force Setup.exe to behave?
From: Yitzchak Scott-Thoennes <[email-masked]>
To: [email-masked]
Date: Sun, 16 May 2004 16:36:46 -0700

On Sun, May 16, 2004 at 04:20:34PM -0700, Lex Ein <[email-masked]> wrote:
> Nine days ago, this was "Using Setup.exe to uninstall -bogus".
> 
> Please help me figure out how to get Setup.exe to STOP TRYING TO INSTALL
> X.
> Setup.exe won't stop trying to snag unnecessary components.
> What file(s) to I have to edit manually to make this happen?  
> What can I manually delete?
> It's a remote system, so I can't uninstall Cygwin without losing control.
> 
> Little help?
> 
> On Fri, 07 May 2004 19:16:54 -0700, "Lex Ein" <[email-masked]> said:
> > If there exists a sensible method for trimming the bulk of an existing
> > Cygwin installation on a running disk-limited REMOTE system accessible
> > only via ssh, I'd love to know it.  I've completely lost patience.
> > 
> > On a remote system, I've been trying to uninstall large chunks of Cygwin
> > (x, db). Using Setup.exe to do this is like playing Whack-a-Mole, and is
> > extremely frustrating.
> > 
> > The "Keep | Reinstall | Source | Version1 | Version2...| Uninstall"
> > click-to-rotate control forces dependancies both far and near while I'm
> > trying to _reach_ Uninstall.  Uninstall LEAVES THOSE DEPENDANCIES
> > ACTIVATED.  
> > 
> > Without a way to select Uninstall without clocking through all the other
> > dependancy activators, it's impossible to remove features and all their
> > dependancies stickily.
> > 
> > In fact, the very process of trying to do this piece by piece has
> > resulted in masses of other crap being installed which I don't need. 
> > It's rather disturbing, as I'm running out of space on the remote system.

Toggle to the Partial view and turn off the dependancies you don't want?

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/